/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
 
package org.ow2.jasmine.monitoring.eos.notification.vo
{
import com.adobe.cairngorm.vo.IValueObject;

/**
 * This object represents an action called by a user on a notification.
 */
[Bindable]
public class JasmineEventNotificationExecutedActionVO implements IValueObject
{
    
    /**
     * Comment for the action.
     */
    private var commentObj : String;

    public function JasmineEventNotificationExecutedActionVO() {
    }

    public function set comment(_comment : String) : void {
        this.commentObj = _comment;
    }
    
    public function get comment() : String {
        return this.commentObj;
    }

    /**
     * Name of the executed action.
     */
    private var actionObj : String;

    public function set action(_action : String) : void {
        this.actionObj = _action;
    }
    
    public function get action() : String {
        return this.actionObj;
    }

    /**
     * Date of the time action.
     */
    private var dateObj : Date;
    
    public function set date(_date : Date) : void {
        this.dateObj = _date;
    }
    
    public function get date() : Date {
        return this.dateObj;
    }

    /**
     * The user who executed the action.
     */
    private var userObj : String;
    
    public function set user(_user : String) : void {
        this.userObj = _user;
    }
    
    public function get user() : String {
        return this.userObj;
    }
}
}